# TTRPG Compendium

Static, Jekyll-based site for all tabletop RPG-related stuff I write about.

### Adventures

Some of the adventures I've written up or am working on.

### Journals

Both character and campaign journals

### Tools

Stuff that helps with TTRPG play.

## Building

For just running locally, easiest is to use a container:

```
    docker run --rm \
               --volume="$PWD:/srv/jekyll:Z" \
               --publish [::1]:4000:4000 \
               jvconseil/jekyll-docker \
               jekyll serve
```

For modifying and publishing newly generated content, the following process
works pretty well:

1. Remove the `_site` directory.
2. Clone the "pages" branch into `_site`:
   `git clone -b pages ssh://git@forge.niblock.tech:8222/vagabond/ttrpg-compendium.git _site`
3. Run the container from above step. It will now build into `_site`, which is
   linked to the "pages" branch.
4. When satisfied with changes, be sure to push both from `_site` and the base
   repository to keep the source and the results up-to-date.
